// 二手商品
export default class SecondService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'SecondService'
	}
	/**
	 *二手商品列表
	 *@param 二手商品分类 secondHandType	1二手仪器，2临期产品，3其他  【必传】
	 *@param 二手仪器分类的类型 instrumentType	1轻光电、2重光电、3耗材配件【不传默认全部】
	 *@param 搜索关键词 searchKeyword	【选传】 
	 */
	SeconHandProductList (data = {}) {
		return this.AjaxService.get({ 
			url:'/commodity/second/list', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/*二手发布/品牌列表 */
	brandList (data = {}) {
		return this.AjaxService.get({ url:'/commodity/second/brands', data, isLoading: true })
	}
	/*二手发布/提交发布 */
	SecondHandProduct (data = {}) {
		return this.AjaxService.post({ 
			url:'/commodity/second/release', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/*二手发布/浏览量 */
	ProductCount (data = {}) {
		return this.AjaxService.get({ 
			url:'/product/updateSecondHandProductCount', 
			data, 
			isLoading: true ,
		})
	}
	/**
	 *@二手商品详情
	 *@param productId：商品ID（数字类型，必传）
	 */
	ProductDetail (data={}){//商品详情
		return this.AjaxService.get({ 
			url:'/commodity/second/detail', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
}